﻿init:

    image splash1 = "splash1.png"
    image splash2 = "splash2.jpg"
    image bg black = "#111111"
    image bg gray = "#b0b0b0"
    image bg dock = "Dock_bg.jpg"
    image bg hill = "Hill_bg.jpg"
    image bg Dhill = "DHill_bg.jpg"
    image bg hilltree = "HillTree_bg.jpg"
    image bg sky = "Sky_bg.jpg"
    image bg restaurant = "Restaurant_bg.jpg"
    image bg pool = "Pool_bg.jpg"
    image bg blackboard = "Blackboard_bg.jpg"
    image bg kitchen = "Kitchen_bg.jpg"
    image cg girl = "CG00.jpg"
    image cg girlx = "CG00x.jpg"
    image cg girl75 = "CG00_75.jpg"
    image cg girl50 = "CG00_50.jpg"
    image cg girl25 = "CG00_25.jpg"
    image cg fuudrawing_incomplete = "CG04_0_C.jpg"
    image cg annadrawing = "CG04_1_A.jpg"
    image cg mimidrawing = "CG04_1_B.jpg"
    image cg fuudrawing = "CG04_1_C.jpg"
    image cg annaend = "CG01.jpg"
    image cg fuuend = "CG02.jpg"
    image cg mimiend = "CG03.jpg"
    image cg trueend1 = "CG05.jpg"
    image cg trueend2 = "CG06.jpg"
    image cg annaendsepia = "CG01SEPIA.jpg"
    image cg fuuendsepia = "CG02SEPIA.jpg"
    image cg mimiendsepia = "CG03SEPIA.jpg"
    image cg trueend2screen = "CG06SCREEN.jpg"
    image cg badend = "CG07.jpg"
    image anna basic = "Anna_c_01.png"
    image anna hyper = "Anna_c_02.png"
    image anna blush = "Anna_c_03.png"
    image anna tears = "Anna_c_04.png"
    image anna eh = "Anna_c_05.png"
    image anna question = "Anna_c_06.png"
    image anna sbasic = "Anna_s_01.png"
    image anna shyper = "Anna_s_02.png"
    image anna sblush = "Anna_s_03.png"
    image mimi basic = "Mimi_c_01.png"
    image mimi laugh = "Mimi_c_02.png"
    image mimi happy = "Mimi_c_03.png"
    image mimi tears = "Mimi_c_04.png"
    image mimi atears = "Mimi_c_05.png"
    image mimi eh = "Mimi_c_06.png"
    image mimi sweat = "Mimi_c_07.png"
    image mimi sbasic = "Mimi_s_01.png"
    image mimi slaugh = "Mimi_s_02.png"
    image fuu basic = "Fuu_c_01.png"
    image fuu blush = "Fuu_c_02.png"
    image fuu happy = "Fuu_c_03.png"
    image fuu ironic = "Fuu_c_04.png"
    image fuu pissed = "Fuu_c_05.png"
    image fuu eh = "Fuu_c_06.png"
    image fuu argh = "Fuu_c_07.png"
    image fuu laugh = "Fuu_c_08.png"
    image fuu sbasic = "Fuu_s_01.png"
    image fuu sblush = "Fuu_s_02.png"
    image fuu slaugh = "Fuu_s_08.png"
    image fuu DOOM = "Fuu_s_EX.png"
    image hime = "Hime_01.png"

    $ T = Character('Shoichiro', color="#1111DD")
    $ G = Character('Girl', color="#CC0000")
    $ a = Character('Anna', color="#00EEEE")
    $ f = Character('Fuu', color="#7700CC")
    $ m = Character('Mimi', color="#704720")
    $ g = Character('Grandpa',color="#555555")
    $ h = Character ('Hime the author', color="#FF00FF")

label start:
    $ a_L = 3
    $ f_L = 3
    $ m_L = 3
    $ Tr = 0
    $ Bad = False
    scene bg black
    $ renpy.music.play("how_can_this_be.ogg", fadein=2)
    $ renpy.pause(1.0)
    scene bg Dhill with fade
    T "{i}Fu fu- fu--{/i}"
    "I'm running up a hill."
    "I don't know why."
    "I don't know why, but I know she's waiting there."
    "Up that hill."
    T "{i}Waah, waah...{/i}"
    scene cg girl with dissolve
    "I see her."
    scene cg girl75 with dissolve
    G "So you have arrived..."
    scene cg girl50 with dissolve
    "She is vanishing, fading away..."
    "And I have lost my chance, my only chance with her - the chance of this summer."
    scene cg girl25 with dissolve
    G "See you..."
    scene cg girlx with dissolve
    T "No--!"
    scene bg gray with fade
    $ renpy.music.stop()
    "I wake up, breathing heavily."
    "What a nightmare... Of a girl that I don't even know."
    "But I have a strong feeling that I will meet her someday."
    "And a feeling that day is going to come soon."
    T "...T-the clock!"
    "I can't believe the alarm clock. It didn't ring!"
    "I'm sure I set it last evening!"
    "Well, at the moment I don't have time to think about it, so I get up, ready to run."
    "Because being late on your first day of work doesn't make a good impression."
    scene bg black with fade
    "{i}15 minutes later...{/i}"
    scene bg sky with fade
    $ renpy.music.play("crazy_summer_v2.ogg", fadein=1)
    "I'm in a bus on my way to the dock - the place where I should meet them. The summer sun is making me sweat and it's uncomfortably hot."
    "The dock where the girls that I will be teaching for some time from now on are..."
    "Actually the job was meant to be done by my grandfather, who's a real teacher, but he has to go into surgery so I had to take it. But I'll be only a substitute."
    "I look at the papers that he gave me."
    T "Let's see... Anna, Fuu, Mimi...?"
    "Grandpa wrote some things about the girls so that I wouldn't be too lost when teaching them. This is going to be special teaching anyway, so I need some information in advance."
    "Anna Miller - oh, that reminds me of the restaurant chain, haha - a 13-year-old girl who's English. She can't write Japanese at all, not even hiragana, though she knows how to speak Japanese. She's a good student, but never mentions if she doesn't understand something."
    "{i}That sounds just {b}SO{/b} troublesome.{/i}"
    T "{i}-sigh-{/i}"
    "So let's have a look at the other pupils..."
    "Fuu Schneider - a name that sounds like it's hard to pronounce - 17 years, half-Japanese half-German. {i}Are all the students going to be foreign?{/i} She's a very clever girl who's easy to teach, but doesn't know any kanji at all."
    T "..."
    "There seems to be only three girls. Now, the third, the last."
    "Mimi Murakami, 15 years, Japanese. She is a very clumsy girl who is quite hard to teach, but she does her best so don't be too hard on her. She is especially bad at sports, and she also, not only Anna and Fuu, needs help with writing. Particularly kanji."
    T "...Every single one just makes this whole teaching thing sound harder, he he."
    "But I guess I have to do it, and I have to do it well, too, because who knows... It might be that their futures depend on my teaching, since they sound so helpless."
    "Grandpa has written down the subjects that I have to teach them. Japanese, sports, English (with an addition of 'make Anna practice writing Japanese, she can speak English probably better than you anyway') and arts. Well, there aren't too many subjects, so I guess this job won't kill me after all!"
    "I suddenly notice that the bus has arrived to the dock, and rush off."
    scene bg dock
    show anna basic at left with dissolve
    show fuu basic with dissolve
    show mimi basic at right with dissolve
    "Right ahead me, I see three girls. Two of them look kind of foreign, so it's probably them."
    T "Hello! Do you happen to be Anna Miller, Fuu Shc... Shcneider and Mimi Murakami?"
    hide fuu basic
    show fuu pissed
    f "Yes, how come, are {b}you{/b} our teacher?"
    T "Yes, I'm Shoichiro Yoshizumi."
    f "Do you know what a clock is?"
    T "...Erm, I do. Sorry for being late, everyone. In my grandpa's absence, I'll be your teacher until the end of this month, so, nice to meet you everyone."
    "I make a smile after being scolded by one of these girls."
    hide fuu pissed
    show fuu basic
    T "So, I've introduced myself already. Who is Anna?"
    hide anna basic
    show anna hyper at left
    a "I am!"
    "The shortest one of the girls answers in a cheerful tone. From first impressions, she seems very energetic, though there is a bit of shyness hidden in her voice. It doesn't show on her face at all, though."
    hide anna hyper
    show anna basic at left
    T "Fuu?"
    hide fuu basic
    show fuu ironic
    f "Guess..."
    hide fuu ironic
    show fuu basic
    "I glance at the third girl, who seems quite bashful compared to the other two."
    T "And you are Mimi, if I'm not mistaken?"
    m "Yes, I am, sir."
    "She is speaking in a very polite manner, making the others, including me and especially Fuu, sound almost rude."
    m "So, teacher, may we call you Yoshizumi-sensei or something else?"
    T "Shoichiro is fine, but I'm not too strict about the name I'm called by, as long as you're not making fun of me."
    m "Ah, thank you for answering. I'll call you Shoichiro-sensei then."
    hide anna basic
    show anna hyper at left
    a "Is teacher-san okay too?"
    hide anna hyper
    show anna basic at left
    "It sounds a bit weird, but I decide to agree."
    T "Yes, it is okay."
    hide fuu basic
    show fuu ironic
    f "So, sensei, shouldn't we be studying already?"
    T "Oh, yes, let's head to my gramps' place."
    hide fuu ironic
    show fuu basic
    hide anna basic with dissolve
    hide fuu basic with dissolve
    hide mimi basic with dissolve
    scene bg sky with dissolve
    "So we walk to his place and spend the time chatting about this and that."
    "I learn that Anna has moved to Japan two years ago, which is why she can speak Japanese well, but has gone to an English school here."
    "I also hear that Fuu has already lived a year in Japan, but couldn't start her high school here because she wasn't able to write kanji. She seems quite angry about that..."
    "Mimi is pretty quiet and only throws a few neutral comments during the conversation, but it seems that she is listening - and during the whole trip, she falls over about five times, so she must be really clumsy."
    "We arrive at the target and begin to study. Since I was late today, I decide that we shall study writing for one hour. The girls are sitting in a tidy manner behind the table that's in front of mine, with Anna on the left, Fuu in the middle and Mimi on the right. This order disturbs me a bit, but I decide to keep my mouth shut anyway."
    scene bg blackboard
    show anna basic at left with dissolve
    show fuu basic with dissolve
    show mimi basic at right with dissolve
    T "So, let's begin with the lesson!"
    "I rise up to hand a big, blue-covered notebook to each of the girls."
    T "So, write your name on the notebook and then we will get to the real thing. If I'm correct, you don't know hiragana, Anna, and Fuu plus Mimi need help with the kanji?"
    "I hear a 'yes' by Anna and Fuu, Mimi nods in agreement."
    T "So, I think I'll give you some writing exercises, and Mimi and Fuu... I'll write some words on the blackboard in kana so you can write them in kanji. Is everything clear?"
    "Again, the girls agree. I hope that Anna understood everything, since gramps' paper said something about her not mentioning if she doesn't. Should I ask her?"
    menu I:
        "Nah, she looks like she got it already, so...":
            "I'll continue with the lesson."
        "It's important to check it out.":
            $ a_L += 2
            $ Tr += 1
            T "Anna, did you get it?"
            hide anna basic
            show anna blush at left
            a "Umm... I'm not sure... About... What this 'hiragana' actually is..."
            "...So, I guess I made a right choice. She has got no idea."
            T "It's the most easy Japanese writing system. Each character is a syllable, and the system is very regular as well."
            hide anna blush
            show anna question at left
            a "Oh... And how will I practice it?"
            T "And I'll give you a handout with two or three characters, then you'll practice writing them in your notebook."
            hide anna question
            show anna basic at left
            a "That sounds easier, thank you."
    "I hand Anna a handout with a few vowel characters and start writing some words for Fuu and Mimi."
    f "How long will it take, sensei?"
    T "Not too long. You can practice writing the characters you already know for a short while I will write the words."
    f "Understood."
    hide anna basic with dissolve
    hide fuu basic with dissolve
    hide mimi basic with dissolve
    "So Mimi and Fuu start scribbling some characters in their notebooks and I begin writing some quite random-feeling words in kana on the blackboard."
    "When I finish them, I order them to write each five times and sit down for a while myself."
    "After a quiet 15 minutes with their pencils touching the paper as the only sound in the room, I rise up to check..."
    menu II:
        "How Anna's hiragana practice is going.":
            $ a_L += 2
            show anna basic
            "I rise up to check Anna's hiragana, which seems quite okay, but she's not writing the hiragana 'a' quite correctly."
            T "You're doing good work, but let me help a bit..."
            a "...?"
            "I borrow her pencil and show her how the character is written."
            T "Like this... A bit more of a twist right here... Do you understand it?"
            hide anna basic
            show anna hyper
            a "Yes! I'll practice it more!"
            "She smiles sweetly, trying her best all the time. She's not too good with this, but at least she's a good pupil for trying and having a good attitude."
            hide anna hyper
        "How Fuu's kanji practice is going.":
            $ f_L += 1
            $ Tr += 1
            "I walk round the table and watch how Fuu's exercises are from behind her."
            show fuu pissed
            f "...Don't sneak up to me like that!"
            hide fuu pissed
            show fuu blush
            "She blushes lightly as I see something VERY alarming in her notebook."
            T "...You don't know {i}ANY{/i} of them except these four?"
            f "Well, actually, that's the case."
            hide fuu blush
            show fuu ironic
            "She glances at me a bit accusingly."
            hide fuu ironic
            show fuu basic
            T "{i}-sigh-{/i} I guess I have to write them down for you."
            "I write every kanji once, and tell her to write each one five times and try memorize them as homework."
        "How Mimi's kanji practice is going.":
            $ m_L += 2
            "So I choose to check Mimi's and sneak up to her."
            show mimi basic
            T "How's it going?"
            hide mimi basic
            show mimi sweat
            m "It's okay, I think... Though... The case isn't actually that I wouldn't know kanji, but the fact that my handwriting is terrible."
            T "Show me."
            "She hands me her notebook and it actually {b}is{/b} quite bad."
            T "Hmm. I think you're hurrying it... You should write them with care instead."
            hide mimi sweat
            show mimi happy
            m "Ah, I shall do so then, Shoichiro-sensei. I'll be trying my best!"
            "She has such a sweet smile on her face when she says this..."
            hide mimi happy
    show anna basic at left
    show fuu basic
    show mimi basic at right
    "Sooner than I expected, the lesson is already over and the girls will be heading home very soon, now packing their bags."
    T "Everyone, as homework, try to recall what you learnt today!"
    f "Sensei, a question."
    T "Yes?"
    f "What we will have tomorrow?"
    T "Hmm. Let's have English and art. Art outside, so be sure to wear something that protects you from the sun if you can't endure too much heat. And for Anna, bring your Japanese notebook so you can practice your handwriting while I teach English to these two."
    a "{i}-nod-{/i}"
    hide anna basic with dissolve
    hide fuu basic with dissolve
    hide mimi basic with dissolve
    scene bg gray with fade
    $ renpy.music.stop()
    "So my first day with the girls has ended."
    "Teaching wasn't a too hard job, so I guess I can take it after all."
    "Sinking into my thoughts, I sleep..."
    scene bg black with dissolve
    $ renpy.pause(2.0)
    scene bg gray with fade
    $ renpy.music.play("crazy_summer_v2.ogg")
    "It's a new morning, a bright one. The almost blinding light shines through my window's curtains, and I wake up because of it. The alarm clock hasn't rang yet, so I'm awake exceptionally early."
    "So - a new day of work ahead of me, I head straight to gramps' house, early for work."
    "I search for notebooks and some other materials that I will need today, such as two English textbooks, paper, easels, colour chalks and a hiragana handout for Anna. My grandfather happens to be a very systematic person, so everything is in order and very easy to find."
    "Then I have to think where we will go drawing... And only one place jumps into my mind."
    "The south hill, near the ocean."
    "It's a very green grass hill with one, big leafy tree on its top. It is a very quiet place, since nobody bothers to walk that far up usually, and the sunshine is also too strong for many up there. But the hill is a very beautiful place, and the ocean breeze is wonderful there."
    "...And it's also the place from that dream."
    "So it's decided, I guess, since I can't think of a better place."
    "The doorbell rings, and I hurry to open the kitchen door. Yes, weirdly enough, the door's in the kitchen."
    scene bg kitchen
    "And it is..."
    show mimi basic with dissolve
    m "Good morning, Shoichiro-sensei."
    menu III:
        "Good morning, Mimi. Wonderful that you're early, too.":
            $ m_L += 1
            $ Tr += 1
            hide mimi basic
            show mimi happy
            m "Yes, it is."
            "Such a wonderful smile on her face, she answers formally."
            m "I happened to wake up a little earlier than usual so I decided to come here."
            T "How come, I woke up early as well!"
            m "Oh, what a coincidence!"
        "Why are you this early?":
            show mimi sweat
            m "Well, is it bad or something?"
            T "No, I just was wondering."
            m "But well, I just happened to wake up a little bit earlier."
            T "What a coincidence, I did so too!"
            hide mimi sweat
            show mimi happy
            m "Oh, so we both.."
    T "Well then, come in."
    m "Yes, I shall."
    "She leaves her shoes next to the door."
    m "Since I'm bothering your early work, may I make us some tea?"
    T "You don't have to, but if it's okay with you, I would like to enjoy some."
    "I answer in a very polite manner, influenced by her over-polite speech, probably. It almost embarrasses me, speaking like that..."
    m "I guess I shall then."
    "Mimi walks into the direction of my gramps' special tea sideboard."
    "...Wait a minute. How does she know where the sideboard's located?!"
    T "Mimi!"
    hide mimi happy
    show mimi basic
    "She turns around, looking a bit surprised."
    m "Yes?"
    T "How do you know where the tea materials are?"
    m "Oh... So he didn't tell you?"
    T "What...?"
    hide mimi basic
    show mimi laugh
    m "Your grandfather has taught me in the summer for many years already. He has also taught Fuu and Anna before, but not for as long time as me."
    "I wonder for a second. Was there something like that in the papers? I don't think so..."
    T "Yes, he has never mentioned it. But it's good that it came up!"
    hide mimi laugh
    show mimi happy
    m "Yes. But, I shall go and prepare the tea now."
    hide mimi happy
    "She walks towards the faucet to get the water, almost falling over, just like when we were walking to this place for the first time."
    show mimi sweat
    T "Careful, now..."
    m "Uh, yes. Thanks for your concern."
    hide mimi sweat
    scene bg blackboard
    "As she disappears from my view, I go to the study room (it's no classroom since my gramps' house isn't a school) to browse the English textbook a bit. Chapter one seems to be one of those super-useless introduction ones, so I guess we will skip it and start with chapter two."
    "After thinking about this and that, time passes and Mimi brings me the tea. It's really delicious, and just after I finished drinking it, the doorbell rings."
    "Mimi opens the door, and both Fuu and Anna arrive."
    show anna basic at left with dissolve
    show fuu basic with dissolve
    show mimi basic at right with dissolve
    "The first lesson starts and passes smoothly."
    "We translate the chapter with Mimi and Fuu, Anna is making her exercises independently. Then I give the two girls some exercises and check how she's doing."
    "The result seems okay, and by the end of the lesson, we find out that we have been quite hard-working today and have some time to spare."
    "Fuu has stuck next to the fan."
    hide fuu basic
    show fuu ironic
    f "{i}It's just {b}sooo{/b} hot here~...{/i}"
    hide mimi basic
    show mimi laugh at right
    m "It really is. But that's summer, isn't it?"
    T "Are you thirsty, girls? 'Cause I am."
    hide mimi laugh
    show mimi basic at right
    hide fuu ironic
    show fuu basic
    "They agree, so we go to the kitchen to get us some iced tea."
    scene bg kitchen with dissolve
    T "Which ones do you prefer, peach or lemon?"
    hide fuu basic
    show fuu happy
    f "I like lemon."
    hide mimi basic
    show mimi happy at right
    m "And I prefer peach, thank you."
    hide anna basic
    show anna hyper at left
    a "{i}Can{/i} I get a mix of the two?"
    "I laugh at Anna's terribly childish, but very, {b}very{/b} cute proposal."
    T "Well, since you ask so nicely, yes."
    "I pour the drinks to their glasses and have lemon iced tea myself, too."
    f "The next lesson is art, isn't it?"
    T "Yes, it is. We will be going out to draw, as I told you all yesterday."
    m "Where will we be going, then?"
    T "To that hill there."
    "I point my finger at the hill, which just happens to be in view from the kitchen window."
    f "I've never been there."
    a "Me neither."
    T "Well, it's a quiet hill, which is one of the reasons why it is a good subject for drawing."
    f "That's true. So, {i}when{/i} are we going?"
    T "As soon as everyone has finished their glasses."
    hide fuu happy
    show fuu ironic
    f "Ah."
    "Fuu's short answer sounds a bit disturbing, and she looks like she has got a question."
    f "Sensei... I have a little question."
    T "What is it?"
    hide fuu ironic
    show fuu blush
    f "How old are you?"
    "Well, that's a weird question. But I guess I have to answer."
    T "...I'll be two years older than you next month."
    hide fuu blush
    show fuu eh
    f "{b}WHAT?!{/b}"
    hide mimi happy
    show mimi eh at right
    T "Eighteen, in other words."
    hide anna hyper
    show anna eh at left
    "All the girls have indescribable expressions on their faces: It's the kind of situation where you wish you had brought a camera."
    f "H-how is that possible? You don't {i}look{/i} like you would be my age!"
    T "That's why they say you shouldn't judge people by their looks."
    hide fuu eh
    show fuu basic
    f "Yeah, I guess so."
    hide mimi eh
    show mimi basic at right
    m "I thought you were at least a few years over twenty. You are quite mature for your age, aren't you, Shoichiro-sensei?"
    T "Well, I guess you can say so. I went to school a year or two earlier than usual because my parents decided I was ready for it, so that's why I'm not a high school student or anything."
    m "Oh, I see."
    hide anna eh
    show anna hyper at left
    a "Waah, teacher-san is so mature! {i}-giggle-{/i}"
    T "But well, you aren't here to learn things about me, so let's head to the hill now."
    hide anna hyper with dissolve
    hide fuu basic with dissolve
    hide mimi basic with dissolve
    scene bg sky
    "So we enter the outside that's filled with summer - its hot temperature, its familiar scent, its vibrant colours and its free atmosphere. In other words, the perfect world for me, except for the heat. I don't like it."
    "Mimi doesn't seem to like it either. She has even got sun lotion with her, though she forgot her hat because of her bad memory, whereas Fuu likes sunshine and isn't even afraid of getting burnt. She says she can't even get tanned."
    "Anna is quite neutral in this case."
    scene bg hilltree with dissolve
    "So, after a fifteen minutes of walking, we arrive."
    show anna basic at left with dissolve
    show fuu basic with dissolve
    show mimi basic at right with dissolve
    T "Take a scenery with that tree, and then draw it with these colour chalks. If you need help, you can always ask for my opinion, and I'll comment on everyone's work at the end of the lesson. Understood?"
    a "Yes!"
    f "I have."
    "Mimi nods in agreement, too, so I hand them the papers, easels and chalks."
    hide anna basic with dissolve
    hide fuu basic with dissolve
    hide mimi basic with dissolve
    "I relax a bit while they are drawing, looking kind of inspired. Well, who wouldn't be, since it's such refreshing weather. I sink deep into my thoughts."
    scene bg black with dissolve
    $ renpy.pause(1.0)
    scene bg hilltree with dissolve
    show fuu basic at right with dissolve
    f "Hey, sensei, comment on this, please!"
    "Fuu kind of evokes me from my thoughts, and so I look at her drawing."
    scene cg fuudrawing_incomplete with dissolve
    "To put it simple... It's very, very, VERY, good. Way better than I thought she could do, if we're honest, because she doesn't give a very artistic impression with that attitude of hers."
    "But the drawing isn't perfect, either. The contrasts are kind of varying between a couple of parts."
    T "Well, that's very good job you've done there."
    show fuu basic at right with dissolve
    f "Thank you, but please tell me, is the contrast in the stem too sharp compared to the leafy part's contrast? Please be honest."
    menu IV:
        "Now that you mention it, that's true. You could make the green shadows darker to fix it.":
            $ f_L += 2
            $ Tr += 1
            hide fuu basic
            show fuu happy at right
            f "Ah, so you agree with me. Thank you for the critique - and for being honest - I'll try to fix the contrast then."
            T "It's my job and responsibility, so no problem."
            hide fuu happy with dissolve
        "No, I think there is nothing wrong with this piece.":
            $ f_L -= 1
            hide fuu basic
            show fuu pissed at right
            f "...Are you being {i}absolutely{/i} honest there?"
            T "Yes. I think it's good this way."
            hide fuu pissed
            show fuu ironic at right
            f "Well, I guess it's okay then... It bothered me a bit, though..."
            hide fuu ironic with dissolve
    scene bg hilltree with dissolve
    "The art lesson continues with Anna and Mimi being quiet for the whole time. When the clock hits twelve, the girls seem to be completing their drawings."
    T "Let's head back to gramps' house for today."
    show mimi basic at right with dissolve
    m "Now already?"
    T "Yes, I think it's the time to do so. Please don't forget any tools here, girls."
    show fuu ironic at left with dissolve
    f "Isn't that a self-evident thing to do?"
    T "Well, it's better to remind you just in case, isn't it?"
    hide fuu ironic
    show fuu basic at left
    f "Well..."
    hide mimi basic
    hide fuu basic
    scene bg sky with dissolve
    "So we start our trip back to the house, complaining about the heat and such. Everyone seems quite tired, and when we arrive at gramps' house, we start cooling off."
    "Suddenly, breaking the silence, a weird noise is heard from Mimi's direction... From her stomach, to be exact."
    show anna eh at left with dissolve
    show fuu basic with dissolve
    show mimi sweat at right with dissolve
    m "Umm, sorry! I'm a bit hungry so...!"
    hide anna eh
    show anna basic at left
    a "Oh... Hungry? I would like to eat something too, actually."
    hide mimi sweat
    show mimi basic at right
    "Anna and Mimi are both looking in my direction, blinking innocently, obviously asking me if we could eat something."
    T "Okay, okay, I understand that you are hungry. Let's go somewhere and eat, I'll offer you the food."
    hide mimi basic
    show mimi happy at right
    hide anna basic
    show anna hyper at left
    "A smile is seen on Mimi's face and Anna looks very delighted as well. Fuu seems at least a bit happy about this, too."
    a "Yey!"
    m "Thank you for understanding our feelings, Shoichiro-sensei!"
    "{i}She speaks that formally, even about a thing like this?!{/i} Well, anyway."
    f "Where will we eat, then?"
    T "I'm still just a young man without a permanent job, so I can't afford a meal at a fancy restaurant. I guess it will be just a fast food one."
    hide mimi happy
    show mimi basic at right
    a "Yay, I like fast food!"
    f "Well, I guess that's acceptable since you'll be treating us."
    "Mimi doesn't comment on this. I guess she doesn't like fast food too much, or at least she doesn't seem like it, so she thinks it's better to be just quiet."
    "Since it's her taste and style of living, I decide not to comment on it."
    hide anna hyper with dissolve
    hide fuu basic with dissolve
    hide mimi basic with dissolve
    "We head to a fast food chain restaurant that's very near, so nothing special happens on our way there."
    scene bg restaurant with dissolve
    "We sit down at a table and start browsing the menus. Anna is swinging her legs energetically."
    show anna hyper at left with dissolve
    a "I'll have a cheese hamburger and chips and a orange lemonade~!"
    show fuu basic with dissolve
    f "I think I'll have a chicken wing meal with mayonnaise. Oh, and for a drink, some cola."
    show mimi basic at right with dissolve
    m "{i}Hmm...{/i} I guess I'll have the same as Fuu."
    T "I'll take a double-cheese burger meal with mineral water, so it's... a cheese hamburger meal with orange lemonade, two chicken wing meals with mayonnaise and cola plus mine?"
    f "I think so."
    T "I'll get the food then."
    hide anna hyper
    hide fuu basic
    hide mimi basic
    "Since it's a very hot midday and the lunch time of many jobs is already over, the line is very short, so it doesn't take too long until it's my turn to order. The ever-smiling clerk hands me the food."
    "I bring them to the girls and everyone takes their share and starts to eat. Mimi doesn't seem to be very familiar with eating without chopsticks, but is getting used to it nicely. She is resisting a bit with the food too, but to be polite, she hides it as well as she can."
    show anna hyper at left with dissolve
    show fuu basic with dissolve
    show mimi basic at right with dissolve
    a "{i}Maaah{/i}, delicious~!"
    f "It is. We should have meals like this every day!"
    T "Well, if you offer us..."
    hide fuu basic
    show fuu argh
    f "No way!"
    T "The fact that I'm almost two years older than you doesn't make me rich."
    hide fuu argh
    show fuu ironic
    f "Well, richer than we children are, at least."
    menu V:
        "Well, I have to pay for my apartment, food, and everything myself, so it doesn't!":
            $ f_L -= 1
            hide fuu ironic
            show fuu basic
            f "Well, that's true..."
            T "Your parents are still paying everything for you, aren't they?"
            hide fuu basic
            show fuu pissed
            f "..."
            hide mimi basic
            show mimi sweat at right
            m "There there, don't fight..."
            T "{i}-sigh-{/i}"
            hide fuu pissed
            hide mimi sweat
            show mimi basic at right
        "You're seventeen and I'm eighteen, not even a grown-up here in Japan, so it isn't a difference that big.":
            $ f_L += 2
            $ Tr += 1
            hide fuu ironic
            show fuu eh
            f "Oh... Aren't you a grown-up?"
            T "Didn't you know the border here in Japan is twenty, not eighteen?"
            hide fuu eh
            show fuu basic
            f "Ah, I didn't. I thought you already had the right to drink alcohol, smoke and get a driver's license."
            T "Well, 18-year-olds can get a license, but for the other two, I can't."
            hide fuu basic
            show fuu laugh
            f "{i}Ha ha{/i}, you really {b}are{/b} my age!"
            "I can do nothing but smile and nod."
            T "Kind of."
            hide fuu laugh
    show fuu basic
    if m_L >= 5:
        hide mimi basic
        show mimi happy at right
        m "From one subject to another, what kind of food do you like, sensei?"
        T "Me? Well, if I had to tell my favourite, I guess it would be cheese omelette."
        a "{i}Whaa{/i}, that sounds good!"
        hide mimi happy
        show mimi basic at right
    if a_L >= 6:
        hide anna basic
        show anna hyper at left
        a "{i}Ah~{/i}, it's really nice to eat lunch like this!"
        a "Actually, it reminds me of onii-"
        hide anna hyper
        show anna eh at left
        "Anna stops suddenly."
        T "Something wrong?"
        hide anna eh
        show anna question at left
        a "Oh... Nothing, really. I just remembered something unimportant. Nothing important, really."
        T "...Okay..."
        hide anna question
        show anna basic at left
    m "Ah, by the way, what will we do after we have finished eating?"
    T "I thought that we could make kind of an art panel, commenting on each other's work."
    hide mimi basic
    show mimi laugh at right
    m "Oh, that sounds like a good idea~."
    hide fuu basic
    show fuu happy
    f "Yes, getting comments on artwork is always a good thing."
    hide fuu happy
    show fuu basic
    hide anna hyper
    show anna blush at left
    a "I wish I won't be getting too much critique..."
    hide mimi laugh
    show mimi basic at right
    T "Well, if you want to, you can ask us not to critique on your work, of course. Though constructive critique usually just helps artists to correct their mistakes and so advance with their career."
    hide anna blush
    show anna question at left
    a "Is that so?"
    f "Yes. Critique is a very important part, I think. As an example, today I even asked Shoichiro-sensei to comment on my work while I was still drawing it."
    hide anna question
    show anna hyper at left
    a "{i}Ooh~...{/i}"
    hide mimi basic
    show mimi happy at right
    m "It was fun to have the art class in nature. It was too hot, though."
    hide fuu basic
    show fuu happy
    f "Yes, it was, very inspiring! The heat was okay with me."
    hide anna hyper
    show anna basic at left
    a "The summers here in Japan are much hotter than in England, but I like it actually."
    "We chat about this and that, but nothing important, until everyone has eaten their lunch."
    hide anna basic
    hide fuu happy
    hide mimi happy
    scene bg sky with dissolve
    "Still chatting, we walk back to gramps' place and start setting up the panel."
    scene bg blackboard with fade
    T "So, let's start in alphabetical order! Starting with... Miller!"
    scene cg annadrawing with dissolve
    show anna basic at right
    "Anna walks to the front of the study room and attaches her drawing to the blackboard."
    T "What do you think, Mimi and Fuu?"
    m "In my opinion, it's nice. It has a very bright atmosphere."
    hide anna basic
    show anna hyper at right
    a "{i}Ahe~{/i}, thank you!"
    f "I like it too, though it has its good and bad sides."
    hide anna hyper
    show anna basic at right
    "Anna nods, smiling."
    a "And teacher-san?"
    "I think its colours are too bright, they almost give me a headache... But Anna seemed a bit sensitive about the critique thing..."
    menu VI:
        "It is constructive critique, so it's good for her studies.":
            $ Tr += 1
            T "As Mimi said, it's nice, but in my opinion, the colours are a bit too bright. It makes the piece look unnatural."
            hide anna basic
            show anna question at right
            a "Oh, do they?"
            T "Yes. Adding more natural shades of green and such would make it look a bit more peaceful."
            hide anna question
            show anna basic at right
            a "Ah, I understand. I'll try it next time."
            hide anna basic with dissolve
        "I must pay regard to her sensitivity.":
            $ a_L += 2
            T "I like it too. It has a really nice feeling to it."
            hide anna basic
            show anna hyper at right
            a "Waah, I'm happy to hear that! Thank you teacher-san!"
            "I make a wide smile."
            T "You're welcome."
            hide anna hyper with dissolve
    scene bg blackboard
    T "Then, Murakami."
    "Anna gets her drawing off the blackboard, and Mimi is walking to the front as she..."
    $ renpy.music.stop()
    "...Falls over."
    "And as she collapses on the floor, her drawing slips under her knee..."
    "Her knee hits the floor and she tries to support herself with her hands to avoid her head hitting the floor..."
    "Her drawing rips apart."
    show mimi tears with dissolve
    "She gets up and is sitting on the floor, looking at her split piece."
    "She looks shocked, tears emerging from her eyes..."
    menu VII:
        "I hand her some adhesive tape.":
            "So I hand her a roll of tape from my table, tapping my hand on her shoulder."
            T "It's fine, so don't cry, okay? We can still hold the panel."
            "I smile for her, wishing that she would smile for me, too."
            hide mimi tears
            show mimi atears
            m "Y-yes..."
            "And I get a smile."
            hide mimi atears
            scene cg mimidrawing with dissolve
            show mimi basic at right
            $ renpy.music.play("crazy_summer_v2.ogg", fadein=5)
            "She walks to the front and puts her composite piece on the blackboard."
            f "I like it. It looks so natural and peaceful..."
            m "Thank you a lot."
            a "{i}Waaaaah{/i}, I wish I was that good~!"
            m "Oh my, that's flattering, Anna... Thank you."
            T "I must agree with the comments before. You chose the scene very well."
            m "Thank you, Shoichiro-sensei."
            hide mimi basic with dissolve
        "I hand her a handkerchief.":
            $ m_L += 2
            $ Tr += 1
            T "Don't cry... It's okay, and we don't have to comment on your piece anymore, if you don't feel like it."
            hide mimi tears
            show mimi atears
            m "{i}-sniff-{/i} Yes... Thank you Shoichiro-sensei..."
            hide mimi atears
            $ renpy.music.play("crazy_summer_v2.ogg", fadein=2)
            "I lead her back to her place, and so we move on."
    T "Then, Schneider."
    scene cg fuudrawing
    show fuu basic at right with dissolve
    "Fuu walks to the front and puts her wonderful piece for view."
    "It is really amazing and much better than the other two."
    a "A-amazing!"
    m "I'm out of words, totally."
    f "Well, thank you."
    T "I must say that it is very beautiful..."
    menu VIII:
        "...but you still could smooth the contrast between the stem and the leaves.":
            $ f_L += 2
            $ Tr += 1
            f "Oh, thank you for pointing that out. I thought it was okay already, but it's always good to hear other opinions too."
        "...and I am very impressed, too.":
            $ f_L += 1
            f "Thank you, sensei."
    T "So, our art panel is now complete. Fuu, you can take your piece off the blackboard."
    f "Yes."
    scene bg blackboard with dissolve
    hide fuu basic
    "She does as I suggested and walks back to her place."
    show anna basic at left with dissolve
    a "Are the lessons over now?"
    T "For today, yes."
    show mimi basic at right with dissolve
    m "And which subjects will we have tomorrow?"
    T "Hmm... Let's have Japanese and sports."
    show fuu basic with dissolve
    f "What kind of sports?"
    T "Actually, I don't know. Do you have suggestions?"
    hide mimi basic
    show mimi happy at right
    m "If I'm not mistaken, there is a pool in the backyard of this house. How about swimming?"
    hide anna basic
    show anna question at left
    hide fuu basic
    show fuu laugh
    f "Yes, yes! That sounds like a great idea!"
    T "Let's have swimming, then. Bring your swimsuits and towels tomorrow."
    hide anna question with dissolve
    hide fuu laugh with dissolve
    hide mimi happy with dissolve
    "We leave the building and everyone heads in their own direction."
    scene bg gray with fade
    $ renpy.music.stop()
    "This day was more difficult than yesterday, but I am proud of how well I survived."
    T "{i}-sigh-{/i}"
    "Teaching is sure a hard job... Poor grandpa."
    "But with these girls as pupils... I guess it's a bit fun, too."
    "Suddenly, my phone rings."
    g "Hello, Shoichiro, it's me, grandpa!"
    T "Oh, hi! How are you feeling?"
    g "Quite well, actually! The operation went unexpectedly well, so I'll be recovering to teaching shape by the end of the week!"
    T "Wow... You sure are quick healing!"
    g "Indeed! How's the teaching?"
    T "It's going well, I think."
    g "Wonderful! You'll just have tomorrow and Friday, then! So you'll survive, right?"
    T "Yes..."
    g "Well, then, bye!"
    T "Bye."
    "...Only two days."
    "Only two days that I can spend with Anna, Fuu and Mimi."
    "That makes me feel somewhat melancholic."
    "It has been actually refreshing to spend some vacation days teaching these girls..."
    "I don't want to part with them."
    "But I can't be sad or anything!"
    "I must teach them, and teach them well instead of being sad. They wouldn't like me being in sorrow either, right?"
    "I'll be looking towards tomorrow..."
    scene bg black with dissolve
    $ renpy.pause(1.0)
    scene bg gray with fade
    $ renpy.music.play("my_summer_with_you_v2.ogg")
    "It's another morning."
    "A bright one, that is. And also another day as a substitute teacher!"
    scene bg sky with dissolve
    "Still a bit sleepy, I walk to grandpa's house."
    scene bg blackboard with dissolve
    "I sit behind my table in the study room and think for a while."
    "So, we will be swimming today."
    "Since all the girls most likely can swim, I can't think of any kind of practice for them. Maybe I should just let them play freely in the pool."
    "Yes, that will be the plan. But first, we will have a lesson in Japanese. I guess we shall check the exercises from the first day. I think it will take the whole lesson."
    "Some spare time passes and I decide to eat a sandwich at gramps' kitchen, because my breakfast doesn't seem enough for my hunger."
    "After I have eaten it, Mimi, Fuu and Anna arrive in the given order."
    "We decide to begin the lesson, and so we start checking their exercises. They seem quite fine, though not excellent or anything. Everyone has done their job quite well and is trying their best."
    "Me, as their teacher, too."
    "In this couple of days, I think I could already call us friends."
    "Strange, huh? It most likely is, but in a good way. Even though it's school, we seem to be enjoying ourselves. And I think every one of us would agree with me in this matter. It actually feels a bit sad to think about how short our time together will actually be... Only today and tomorrow."
    "Maybe I should tell them that tomorrow will be our last day together."
    T "So, we have finished the Japanese lesson!"
    show anna hyper at left with dissolve
    a "{i}Yay~!{/i}"
    show fuu ironic with dissolve
    f "{i}-sigh-{/i} Kanji is difficult..."
    hide fuu ironic
    show fuu basic
    T "Yes, it is... But girls, I have something important to tell you."
    show mimi happy at right with dissolve
    m "Yes, what may it be?"
    hide mimi happy
    show mimi basic at right
    hide fuu basic
    show fuu eh
    hide anna hyper
    show anna eh at left
    T "...Tomorrow will be... The last day I'm teaching you."
    "Fuu stands up, striking the table with a large thud."
    f "{b}What?!{/b}"
    "I can't quite understand why, but Fuu sounds somewhat... enraged."
    f "You mean you won't be here till the end of the month as you said?"
    hide anna eh
    show anna question at left
    T "Yes. My grandfather is recovering surprisingly soon, so he will be teaching you next week."
    m "That's... unexpected."
    hide fuu eh
    show fuu argh
    f "It is..."
    "Everyone is silent for a short while."
    hide mimi basic
    show mimi happy at right
    m "...I think I have an idea."
    T "What kind of an idea to be exact?"
    m "Let's have no lessons tomorrow, and a 'Bye-bye Shoichiro-sensei' farewell party instead!"
    hide fuu argh
    show fuu basic
    hide anna question
    show anna basic at left
    a "Yes, yes! I think that would be nicer than just having lessons and then saying goodbye to him!"
    T "Actually, that would be possible, since you have been diligent this week."
    m "Let's have the party then!"
    hide anna basic
    show anna hyper at left
    a "{i}YAY~!{/i}"
    f "I have a good idea."
    a "What is it?"
    hide fuu basic
    show fuu happy
    f "...Let's have it on our treat. Since Shoichiro paid for lunch yesterday."
    m "Yes, yes! What a generous idea!"
    T "Thank you, everyone..."
    m "No, no. Thank you for teaching us, Shoichiro-sensei."
    T "But well, the bye-bye party apart, we should have the pool lesson now, right?"
    m "Ah, yes."
    hide anna hyper with dissolve
    hide fuu happy with dissolve
    hide mimi happy with dissolve
    scene bg gray with dissolve
    "The girls get into the changing room, and I go to change as well - to {b}another{/b} room, of course... And this room where I have to change happens to be gramps' WC."
    "The WC is a tiny room, so it's a bit difficult to change there, but after the hardship I have finally changed into shorts and a white T-shirt."
    scene bg pool
    "As I go to the pool, I see the girls in their bathsuits."
    show mimi sbasic at right with dissolve
    m "Shoichiro-sensei, what kind of swimming exercises will we have?"
    T "You can swim freely."
    show fuu slaugh with dissolve
    f "Freely?!"
    T "Yes, I won't give you any special instructions, so do as you please. Enjoy yourselves, girls, without getting sunburn!"
    hide fuu slaugh
    show fuu sbasic
    show anna sblush at left with dissolve
    a "Umm... Teacher-san..."
    T "Yes, Anna?"
    a "{i}Uguu~...{/i} I can't swim too well, to be honest. I-I can swim, really, but not well..."
    menu IX:
        "I'll teach you then, so don't worry!":
            $ a_L += 1
            hide anna sblush
            show anna sbasic at left
            a "Thank you, teacher-san... I really appreciate this."
            "She looks a bit embarrassed, but a little delighted as well."
            hide fuu sbasic with dissolve
            hide mimi sbasic with dissolve
            hide anna sbasic
            show anna sbasic
            "I spend the lesson teaching Anna how to swim whereas Anna and Fuu are chatting and swimming around in the other side of this pool."
            "I don't know if it's acceptable for me as a teacher to teach only one pupil on a common lesson, but I guess it was a good choice."
            hide anna sbasic with fade
        "You can swim freely, so if you can stay on the surface, you'll have no problems.":
            $ a_L += 2
            $ Tr += 1
            hide anna sblush
            show anna sbasic at left
            a "Ah, yes, that is true."
            T "Enjoy yourselves, then!"
            hide anna sbasic
            show anna shyper at left
            hide fuu sbasic
            show fuu slaugh
            hide mimi sbasic
            show mimi slaugh at right
            "I make a smile and the girls go quite hyper in the pool, especially Anna, who somehow reminds me of a ball of lightning."
            "They're really enjoying themselves..."
            hide anna hyper
            hide fuu slaugh
            hide mimi slaugh
            scene bg pool with fade
    "And so the lesson goes on, until it's afternoon and we decide to end the lesson."
    "So, Anna and Mimi head straight to the changing rooms. I think I should tidy up the pool and its surroundings a bit so grandpa doesn't have to clean it when he comes back home."
    show fuu sbasic with dissolve
    f "Aren't you going?"
    T "Huh?"
    hide fuu sbasic
    show fuu slaugh
    f "You're just standing there, waiting until I go, right?"
    T "Yes."
    hide fuu slaugh
    show fuu sbasic
    f "What will you do then?"
    T "I must clean around the pool a little... My grandpa hasn't been able to do it as usual, that's why."
    f "Oh. Can I help you a bit then?"
    T "Sure!"
    "We start cleaning. Both of us are silent."
    "The work isn't very exciting, so my mind starts focusing more on Fuu and her swimsuit than cleaning."
    "Come to think of it, her butt looks nice in this outfit..."
    menu X:
        "...Juuust a little...":
            if f_L <= 9:
                jump badend
            elif f_L == 9:
                jump badend
            elif f_L == 10:
                hide fuu sbasic
                show fuu sblush
                f "{i}WA-!{/i} Umm..."
                "I suddenly realize that... I am {b}grabbing{/b} my pupil's {b}butt{/b}."
                T "I'm sorry..."
                f "Umm... It's okay, I guess..."
        "I must not do such things to her.":
            $ Tr += 1
    hide fuu sbasic
    show fuu slaugh
    f "I think this looks neat enough to me!"
    "Fuu smiles."
    T "Yes, I guess this is enough."
    hide fuu slaugh
    show fuu sbasic
    f "I'll go to change, then!"
    hide fuu sbasic with dissolve
    "Fuu runs to change and I start walking towards the WC to get changed as well."
    scene bg kitchen with fade
    "When I have changed, I find the girls standing in the kitchen."
    show mimi happy at right with dissolve
    m "Oh, Shoichiro-sensei. We were discussing the party tomorrow."
    show fuu basic with dissolve
    f "We've shared the charges, so you don't have to bring anything except yourself tomorrow."
    T "Okay, that's great."
    m "Well then, see you tomorrow, Shoichiro-sensei."
    hide mimi happy with dissolve
    show anna basic at left with dissolve
    a "Bye-bye~!"
    hide anna basic with dissolve
    f "See you."
    hide fuu basic with dissolve
    scene bg gray with fade
    $ renpy.music.stop()
    "And so we part for today... For the last day of real school with them."
    "It's quite sad actually, but I can't be unhappy at the party tomorrow. I must enjoy it without ruining the mood by being melancholic."
    "Well, then... I'll go to sleep for today..."
    scene bg black with dissolve
    $ renpy.pause(1.0)
    scene bg sky with fade
    $ renpy.music.play("my_summer_with_you_v2.ogg")
    "It's morning, and I head straight to gramps' house."
    "It's my last day with these girls."
    "I think it will be a bit difficult to part with them."
    "It has been just a few days, but I think we got along really well and had fun together."
    "They probably also learnt many things, so it wasn't in vain either. I hope grandpa is satisfied with my work, too. I've heard he's a great teacher who can teach people amazing things in a very short time, so I can't have been as good as he, but still..."
    scene bg kitchen with dissolve
    "I arrive at the house, where the girls have been preparing the party for some time."
    show anna basic at left with dissolve
    show fuu basic with dissolve
    show mimi basic at right with dissolve
    T "Good morning, how did you get inside?"
    hide mimi basic
    show mimi sweat at right
    m "Good morning, Shoichiro-sensei. The door wasn't locked, that's why."
    T "Oh! Did I forget to lock it?"
    hide mimi sweat
    show mimi basic at right
    m "Might be."
    T "Uh... Well, I guess it's okay since this place looks still normal."
    hide mimi basic
    show mimi happy at right
    m "Yes, I don't think there has been any robbers or such."
    "We continue preparing the party."
    "The party isn't actually very big, we just chat about the days that we spent together, eat some snacks and drink lemonade."
    "It has got a nice mood, though."
    "We talk about how well we have gotten along and how nice our time together has been."
    "Everyone seems a bit melancholic, so I'm not alone with my feelings."
    if Tr >= 10:
        jump trueend
    elif f_L >= 10:
        jump fuuend
    elif m_L >= 8:
        jump mimiend
    elif a_L >= 9:
        jump annaend
    else:
        jump normalend
    
    return

label badend:
    $ renpy.music.stop()
    $ renpy.sound.play("kyaa_baka.ogg")
    hide fuu sbasic
    show fuu DOOM
    $ Bad = True
    "Fuu turns around slowly. I feel doom approaching..."
    f "{b}...Do you understand what you did, sensei?!{/b}"
    "..."
    "That look on her face hurts."
    scene cg badend with dissolve
    $ renpy.pause(1.0)
    "Ending #5 out of six different endings: Bad Ending - The Cruel But Righteous Judgment Printed On Her Pretty Face Was The Last Thing That The Perverted Hermit Ever Saw With Those Perverted Eyes Of His."
    $ renpy.pause(1.0)
    scene bg black with fade
    show hime with fade
    h "A punishment for the pervert! Yay!"
    h "A bad ending, yes. How about {b}not{/b} grabbing innocent students next time?"
    hide hime with dissolve
    $ renpy.pause(1.0)
    return

label fuuend:
    "And after the party, we start cleaning."
    f "I can do this with sensei, so Mimi and Anna, you can go."
    hide mimi happy
    show mimi basic at right
    m "Is it really okay?"
    hide mimi basic
    show mimi happy at right
    f "Yeah, it is."
    a "We will be going then! Bye-bye, teacher-san. It was nice to know you..."
    "Her smile doesn't break for a second. I guess she's a real optimist, who thinks of the good things even when it's time to say goodbye."
    hide mimi happy
    show mimi basic at right
    m "Yes, I must say I'm really grateful to you, Shoichiro-sensei. So, this is our farewell."
    T "You two were wonderful pupils, and I am happy that I had a chance to teach you. So... Bye."
    hide anna basic with dissolve
    hide mimi basic with dissolve
    "The two girls leave. Now it's only Fuu and me in this house."
    hide fuu basic
    show fuu laugh
    f "We sure had fun times, didn't we?"
    T "Yes... I think I'll miss you in the future. You too were such a nice pupil. And as a person as well."
    hide fuu laugh
    show fuu blush
    f "Shoichiro..."
    T "{i}Heh{/i}, that's the first time you're calling me by my name, isn't it?"
    hide fuu blush
    show fuu laugh
    f "Huh, is it?"
    T "Yes, it is."
    f "{i}Haha...{/i} Yes. I think I'll miss you, too."
    T "It would be wonderful if we could meet every now and then."
    hide fuu laugh
    show fuu happy
    f "Well, if that isn't a good idea! But actually..."
    T "Yes?"
    hide fuu happy
    show fuu blush
    f "...I would like to meet you more often than now and then."
    "She looks a bit embarrassed, and her voice tone is a bit shy also."
    f "Because, Shoichiro, I know it has been just a few little days, but I have grown to like you. Like you very much, I mean."
    "She looks straight in my eyes."
    f "I'm not forcing you to answer to my feelings or anything, but..."
    T "I like you as well."
    hide fuu blush
    show fuu eh
    f "...?!"
    T "I like you, Fuu, and I... would like to keep on living with you like this."
    hide fuu eh
    show fuu happy
    f "Me too... Shoichiro..."
    "She looks very happy, happier than ever before."
    f "I... love you."
    T "I love you too..."
    hide fuu happy
    scene bg black with fade
    $ renpy.music.stop()
    $ renpy.pause(1.0)
    "And so my relationship with Fuu began. With her as the dominant one, of course."
    "Some time later.."
    $ renpy.pause(1.0)
    $ renpy.music.play("crazy_summer_slow.ogg")
    scene cg fuuend with fade
    f "{i}Waa~!{/i} The sunset sea is so beautiful!"
    T "Yes, it is. Not nearly as beautiful as you, though."
    f "Shoichiro... I am... I am very happy."
    T "And so am I."
    "Together... Here."
    "Together with Fuu."
    "The present time is wonderful, and the future will be magnificent."
    "Because I have her, the most beautiful and lovely girl in my world."
    "The girl who I love, this Fuu Schneider, whose beautiful body is in my view."
    "With her... Everything is so wonderful."
    "Even the bad times."
    "Because we love and support each other."
    "I guess the dream that I saw back then was an exhortation that asked me to take the chances that I have."
    "So... I am grateful to that dream."
    $ renpy.pause(1.0)
    scene cg fuuendsepia with dissolve
    "Ending #3 out of six different endings: Fuu Ending - The Sunset"
    $ renpy.pause(1.0)
    scene bg black with fade
    jump credits
    
label mimiend:
    "The party is now over and we are cleaning the house together."
    f "That was a very enjoyable party! Though quite a sad one as well..."
    a "Yes, it was."
    T "Thank you for everything, girls. I am really grateful for everything..."
    hide mimi happy
    show mimi basic at right
    m "Shoichiro-sensei, Anna, Fuu, if you don't mind, I can finish the cleaning myself so you can relax."
    f "Thank you Mimi, it's okay with me."
    a "I'd like to relax, too."
    T "As polite as your offer is, I unfortunately can't push all the responsibility on you, Mimi, so I think I'll be cleaning with you."
    hide mimi basic
    show mimi happy at right
    m "Well, that's great, if it's okay with you."
    f "Goodbye, sensei."
    a "Bye, teacher-san!"
    hide fuu basic with dissolve
    hide anna basic with dissolve
    hide mimi happy
    show mimi basic with dissolve
    "We continue cleaning around the house as Anna and Fuu leave."
    m "It sure was fun, huh?"
    T "Yes... I think I will yearn these few days later. And you too. You're such a lovely person, really."
    hide mimi basic
    show mimi sweat
    m "No, no, I'm nothing compared to you!"
    T "How?"
    hide mimi sweat
    show mimi basic
    m "Don't you think teaching is quite a generous job? You're helping us, protecting our future..."
    T "But I'm only a temporary one..."
    hide mimi basic
    show mimi happy
    m "That's even a better reason! You're devoting your time to something as generous as teaching even though you aren't usually doing it."
    "Now when I think, that's true. Mimi is a good talker indeed, making me think like this."
    T "Well, maybe that counts as generous, then."
    m "Yes. And that's only one of your good sides. I like you, really."
    "Hearing those words from a girl, my heart starts throbbing."
    T "I- I- I like you as well!"
    hide mimi happy
    show mimi sweat
    m "...Huh?"
    "I probably sounded so nervous that Mimi is a bit confused."
    hide mimi sweat
    show mimi happy
    m "That means we like each other, doesn't it?"
    T "Yes."
    hide mimi happy
    scene bg black with fade
    $ renpy.music.stop()
    $ renpy.pause(1.0)
    "That was most likely the most important moment in my life that far - the day that on my relationship with Mimi began."
    "After that day, of course, Mimi brought me a lot of better memories that were even more wonderful."
    "I'm happy that her parents are open-minded enough to let their now 16-year-old girl to go steady with a 19-year-old man like me. But the age difference isn't really that big, and we are on the same level in many aspects."
    "Sometimes I even feel like she is actually more mature than I am."
    "She'll be a wonderful wife, too. I'm looking towards the day when I'll kneel down before her and propose her, but there is no hurry."
    "I guess that dream from back then, where she - yes, now when I recall, the girl in that dream was Mimi - vanished, was something that encouraged me to take the chance of falling in love with her."
    $ renpy.pause(1.0)
    $ renpy.music.play("crazy_summer_slow.ogg")
    scene cg mimiend with fade
    m "Shoichiro, Shoichiro! I've prepared lunch!"
    "It's the summer. We're at my own place, the new apartment that I bought. For us, of course."
    T "That's perfect, dear. Just when I was getting hungry!"
    m "Yes, yes, it's the Mimi timing~."
    "I kiss her gently and sit down at the table to watch as she brings the omelette to the table."
    "I really love her, and she loves me."
    m "I made your favourite cheese omelette, since it is our relationship's first year anniversary today."
    "...She's so sweet..."
    $ renpy.pause(1.0)
    scene cg mimiendsepia with dissolve
    "Ending #4 out of six different endings: Mimi Ending - My Favourite"
    $ renpy.pause(1.0)
    scene bg black with fade
    jump credits
    
label annaend:
    "Now the party is over, and we are cleaning the house together."
    hide mimi happy
    show mimi basic at right
    m "{i}-sigh-{/i} The fun times pass so quickly..."
    f "Unfortunately, you're very right. I wish this time would have lasted longer."
    T "I wish that too."
    "Anna is unusually quiet, just cleaning around silently."
    "She's always so cheerful and speaking all the time when she has even a little comment that she can make, so this situation makes her seem a bit... sad."
    "We keep on cleaning the house until it's totally clean."
    hide mimi basic
    show mimi happy at right
    m "Finished, aren't we?"
    "I nod."
    T "I guess it's the time to say goodbye."
    f "Bye sensei. Thank you for teaching us."
    m "Yes, thank you Shoichiro-sensei. I'm grateful to you."
    T "Bye to you two, too."
    hide anna basic
    show anna question at left
    a "{i}Unnh...{/i} I have to go to the WC... So bye, Fuu and Mimi!"
    f "Bye, Anna."
    m "Goodbye."
    hide anna question
    hide fuu basic with dissolve
    hide mimi happy with dissolve
    "Fuu and Mimi leave, Anna rushing to the toilet."
    T "...Weird..."
    "I voice my thoughts, sitting on the couch and waiting for Anna's return."
    "I wonder why didn't she go to the toilet when we were still cleaning..."
    "Really, it's so strange."
    a "I'm back..."
    T "But I didn't hear you flushi-"
    show anna tears with dissolve
    "I see the look on her face and stop immediately."
    T "Anna, is something wrong?"
    a "O..."
    "She sounds like she's about to cry..."
    a "Oniichan!"
    "...{i}What{/i}?"
    "She runs to me and squeezes me."
    a "...Shoichiro-oniichan."
    T "A-Anna?"
    a "D-don't say anything... Please... Just let me..."
    T "All right, I understand."
    "She looks so helpless and cute like this, so I can't avoid squeezing her in return."
    T "You can call me that if you want to."
    hide anna tears
    show anna blush
    a "Ca-can I?"
    T "Yes, you can."
    hide anna blush
    show anna basic
    a "...Thank you..."
    scene bg black with fade
    $ renpy.music.stop()
    $ renpy.pause(1.0)
    "That is how my bond with Anna finally began that summer."
    "Later I learned that she had lost her very dear big brother some time ago, and needed support - so I became her new {i}oniichan{/i}."
    "We are like a brother and sister these days, in fact."
    "I play with her. I teach her. I scold her. And we are very close, too."
    "Her family accepted me too, and even thanked me for supporting her."
    "I love her. She's a wonderful little sister, and hopefully wonderful young woman in future."
    $ renpy.pause(1.0)
    $ renpy.music.play("crazy_summer_slow.ogg")
    scene cg annaend with fade
    "The weather is very nice today. The blue sky is almost clear of clouds and a little breeze cools the temperature a bit so it isn't too hot either."
    a "Oniichan, oniichan, faster!"
    T "All right!"
    "So I push her back, giving her more speed."
    a "{i}Whee~!{/i}"
    "She is really enjoying this, Anna, she is... happy."
    "Yes, happy. And me too, I'm happy. Because when she is happy, that makes me happy. Very happy."
    $ renpy.pause(1.0)
    scene cg annaendsepia with dissolve
    "Ending #2 out of six different endings: Anna ending - Swinging"
    $ renpy.pause(1.0)
    scene bg black with fade
    
    jump credits
    
label trueend:
    hide mimi happy
    show mimi basic at right
    m "{i}-sigh-{/i} I wish these days could have continued on forever.."
    hide anna basic
    show anna question at left
    a "Yes... I-I don't want to separate from you all... Fuu-oneechan, Mimi-oneechan and Shoichiro-oniichan..."
    f "Anna, did you know that that is a weird way of addressing us..."
    hide anna question
    show anna blush at left
    a "Uh yes, I'm sorry, but I'm afraid that's how I actually think of you all. We are like a family, right?"
    T "Yes."
    hide anna blush
    show anna basic at left
    a "Ummh, but everyone... I'm afraid I have to go home now, because the normal school time is over. So, bye bye Shoichiro-oniichan, Fuu-oneechan, Mimi-oneechan."
    T "Bye-bye, Anna. I hope I'll see you sometime again!"
    a "Yes, let's arrange a meeting or something in the future. This isn't goodbye. Promise?"
    T "Promise."
    f "Promise."
    m "Promise."
    hide anna basic
    show anna hyper at left
    a "So, I will be going now. See you soon!"
    hide anna hyper with dissolve
    "Anna rushes away, leaving just me, Fuu and Mimi together. We continue on with the party and conversation."
    hide mimi basic
    show mimi tears at right
    m "Yes, like Anna said, kind of a family... Though..."
    "Mimi looks absolutely embarrassed, blushing furiously. I can see her eyes becoming wet."
    hide fuu basic
    show fuu eh
    $ renpy.music.stop()
    m "I-I am very sorry for saying this all of sudden, but in these days... I have learned to love you, Shoichiro-sensei."
    T "{i}...Umm...{/i} Did you just say what I think you said?"
    m "Yes, yes. I said. You heard it right. I love you."
    "Fuu is looking kind of shocked."
    m "Yet... We will not have a future together, I know it..."
    T "Why's that?"
    hide fuu eh
    show fuu blush
    m "Because you like Fuu more than me, and because Fuu as well, likes you, a lot."
    f "Wha-what are you s-saying, Mimi?"
    "Fuu is blushing weirdly. This is making me embarrassed, so I probably am as red as a tomato."
    hide mimi tears
    show mimi atears at right
    m "But that is true... It is, I know."
    f "Mimi... You shouldn't block your feelings just because of mine..."
    "It feels like she is admitting it, and my cheeks are glowing red-hot."
    m "No, no...! If something, your feelings for Shoichiro-sensei are way deeper than mine. Besides, he likes you. So..."
    scene cg trueend1 with dissolve
    "Suddenly, Mimi grabs Fuu to a hug."
    m "...Let's still be friends!"
    "Fuu is shocked and very moved. I can see that she is holding back her tears."
    f "Yes, let's. Best friends forever, right?"
    m "Y-yes."
    m "I give you this one man, so please enjoy him in my place."
    "That sounds very embarrassing, as if Mimi would be a father that is giving me her daughter's hand in marriage."
    f "I will. I will, Mimi!"
    scene bg kitchen with dissolve
    show mimi atears at right
    show fuu basic
    $ renpy.music.play("my_summer_with_you_v2.ogg", fadein=1)
    "Slowly and silently, they end their embrace."
    hide mimi atears
    show mimi laugh at right
    m "Well then... I will be leaving the lovers alone together!"
    "She giggles, totally different from a few seconds before."
    f "See you!"
    hide mimi laugh
    show mimi happy at right
    m "Yes, see you!"
    T "Bye..."
    hide mimi happy with dissolve
    "Mimi rushes away. I must say she is a wonderful and honest person, who isn't selfish like most people. I am very grateful and hope she will find a man who is worth her, someday."
    hide fuu basic
    show fuu blush
    "Fuu is looking at me, blushing."
    f "So we are... lovers?"
    T "K-kind of, yes. At least I-I love you, Fuu."
    f "I-I love you as well!"
    "We are both very embarrassed, probably just because we were kind of forced into this situation by Mimi's actions."
    "The silence lasts for a minute or two, until..."
    f "So... Am I your girlfriend now or something?"
    T "{i}Umm{/i}, would you like to be?"
    "She nods slowly and awkwardly."
    T "Then we are a couple, I guess, since I would like to be your man as well."
    hide fuu blush
    show fuu happy
    f "C-can I address you Shoichiro, then?"
    T "Of course. I've addressed you Fuu all the time, you know?"
    hide fuu happy
    show fuu laugh
    "We laugh at ourselves, which lightens the heavy atmosphere."
    hide fuu laugh
    show fuu basic
    f "You know Shoichiro..."
    T "Yes?"
    hide fuu basic
    show fuu happy
    f "You're a great teacher. In many different aspects."
    f "Both me and Mimi fell in love with you, and Anna ended up calling you oniichan. That's because you're such a good teacher and a person that is very easily liked."
    T "That sounds so... flattering. Are you sure?"
    "She nods."
    hide fuu happy
    show fuu blush
    f "I guess that's one of the reasons why I... love you, Shoichiro."
    scene bg black with fade
    $ renpy.music.stop()
    $ renpy.pause(1.0)
    "Sometimes, dreams don't mean anything, and you just stress over them too much."
    "I think the dream of that day was one like that."
    "My life is... Well, I don't know if I believe in perfection, but what the normal folk would call perfect, I guess."
    "I have a lovely wife, Fuu, who became an artist. I love her and she loves me, and I also have lots of wonderful friends, including my ex-pupils Anna and Mimi, who is now a housewife."
    "And one thing that also makes me happy every day is my job."
    "Ever since that summer, I felt like I should become a teacher, so I got the training and now I'm teaching Japanese at a junior high. Anna teaches English at the same school as me, by the way, so we are still in touch."
    "I love my life, thanks to that summer and the choices I made."
    "I guess little things can cause great outcomes..."
    $ renpy.pause(1.0)
    $ renpy.music.play("my_summer_with_you_slow.ogg")
    scene cg trueend2 with fade
    f "Shoichiro..."
    T "Yes, dear?"
    f "I feel... truly happy, Shoichiro."
    T "And so do I, my dear."
    "...However, this definitely isn't the end or anything like that."
    "Because this is only the beginning: The beginning of my whole life with my wife, Fuu. The beginning of even more wonderful things..."
    "Yes, this is indeed the very beginning of everything."
    $ renpy.pause(1.0)
    scene cg trueend2screen with dissolve
    "Ending #6 out of six different endings: The True Ending - After The Meaningful Summer"
    $ renpy.pause(1.0)
    scene bg black with fade
    show hime with fade
    h "So you reached the true ending! Congratulations!"
    h "That means you were a really wonderful teacher - and your choices were good as well."
    hide hime with dissolve
    
    jump credits

label normalend:
    $ Bad = True
    "When the party is over, we clean the place together, still talking..."
    a "It was surprisingly fun, especially when you think that this time that we spent together was actually school."
    f "Yeah, you're right. School isn't usually this pleasant."
    m "I must say I agree with you too."
    T "I had fun teaching you all. But it will be nice that grandpa is getting well, isn't it?"
    m "Yes, of course. Sick people getting better always is."
    f "He is a very good and unique teacher as well. He makes learning things unbelievably easy."
    T "I wish I was that good too..."
    m "Don't be sad, Shoichiro-sensei. You did your best, and you did well."
    T "Thank you... Everyone..."
    "We have a group hug, all of us together..."
    "I wish these days that I enjoyed would have brought something special to my life, though."
    "Ending like this... It feels so unhappy, somehow."
    $ renpy.music.stop()
    $ renpy.pause(1.0)
    "Ending #1 out of six different endings: Nothing Special About Those Special Days"
    $ renpy.pause(1.0)
    scene bg black with fade
    show hime with dissolve
    h "Well - it isn't necessarily bad, but not too good either."
    h "How about trying to focus on one of your pupils or something like that next time?"
    h "This time you were a good teacher, but you could have been a wonderful one, too..."
    hide hime with dissolve
    
    jump credits
    
label extramenu:
    
    "View extra mode?"
    menu ex:
        "Yes!":
            jump extra
        "No.":
            $ renpy.pause(1)
            return

label extra:
    scene bg blackboard
    show mimi happy at left with dissolve
    m "Oh, hello! Welcome to Project Nattsu extra mode! Today, I and this uh, nice young lady, Hime, are going to host the show."
    show hime with dissolve
    h "{i}Ahh~{/i}, welcome welcome!"
    m "So, let's begin the show with questions! The audience can ask any kinds of questions about Project Nattsu now!"
    menu x:
        "Tell me more about Fuu!":
            h "Hmm, Fuu. When I was planning her, I wanted to make her older than Mimi and Anna."
            h "She's more close to Shoichiro's age so the stages of their minds are kind of more alike than compared to Anna or Mimi."
            h "I ended up choosing her as the {i}tsunderekko{/i} of the game."
            h "Because tsunderekkos are {b}necessary{/b}!"
        "Tell me more about Anna!":
            h "At first when I was planning Anna's character, I thought of her as a quiet, maybe a bit expressionless girl, but she ended up being the opposite, probably because the cast {i}needed{/i} a hyper-active girl like her."
            h "Besides, Mimi is a bit quiet already, so if Anna would have been quiet as well, Fuu would have seemed rather annoying."
        "Tell me more about Mimi!":
            h "Ahh, Mimi. After planning first Anna and then Fuu, I wanted to make someone who is Japanese."
            h "And probably because of her nationality, I made her the generally polite girl."
            h "When I was sketching her, I wanted to give her a bit of {i}moe{/i} touch, so I invented that she could be clumsy."
        "Tell me more about Shoichiro!":
            h "Well, there isn't much to tell about him."
            h "{b}Why{/b} are you interested in him in the first place?"
            hide mimi happy
            show mimi eh at left
            m "Oh, mistress, don't be so rude! Please answer the question!"
            hide mimi eh
            show mimi happy at left
            h "Uh oh, yes. Well then. I planned the girls first, and after that I got to planning our hero."
            h "I wanted to make him somewhat neutral, so it would be easy to understand him and so that none of the girls would have absolutely negative thoughts about his personality."
            h "So, he is pretty much a general young Japanese man."
        "Uhh, who's the weird girl with glasses?":
            hide mimi happy
            show mimi basic at left
            m "Uh, you mean Hime? She's the creator of the whole game, or actually, she's a parody of he-"
            h "{b}I'm not a parody!{/b}"
            h "Oh yes, so I'm the meganekko character you were wishing for all the time! I'm {i}xx{/i} years old, from {i}X{/i}, and my three sizes ar-"
            hide mimi basic
            show mimi sweat at left
            m "But this was meant to be about the game, not you, Hime..."
            hide mimi sweat
            show mimi happy at left
            h "Oh oh, I forgot. Okay okay."
    m "So, any other questions?"
    menu y:
        "Where does the name of this game come from?":
            h "Well, you probably know what {i}project{/i} means, so I'm not going to explain you that, and {i}Nattsu{/i} doesn't really have a direct meaning."
            h "I kind of tangled it from the Japanese word summer, {i}natsu{/i}, but {i}Project Natsu{/i} would have been kind of boring and unoriginal, so I wanted to give it a touch of my own finger."
            h "So, I gave it the double t!"
            h "The another reason is that I wished to have the word with three hiraganas for the logo."
            h "I don't know if it's that easy to notice, but in the logo, the colours of the hiraganas in the word {i}Nattsu{/i} are Anna's eye color for {i}na{/i}, Fuu's for {i}t{/i} (double consonant) and Mimi's for {i}tsu{/i}, {i}huhuhu~{/i}."
        "Why aren't Fuu and Anna here?":
            hide mimi happy
            show mimi sweat at left
            m "Umh, well... Because uh... I don't know, to be honest."
            hide mimi sweat
            show mimi basic at left
            m "Hime?"
            h "Well, that's obviously because I didn't feel like it."
            hide mimi basic
            show mimi sweat at left
            m "Uh, okay... Well... I guess that's an answer."
            hide mimi sweat
            show mimi happy at left
        "What's up with the butt grab scene?":
            hide mimi happy
            show mimi eh at left
            m "Uh?! There's a butt grab scene?"
            h "{i}Uhuhu~{/i}... Of course there is!"
            h "But don't think I'm perverted or anything."
            hide mimi eh
            show mimi sweat at left
            m "Huh? Isn't writing a butt grab scene a clear sign of being a pervert?"
            hide mimi sweat
            show mimi basic at left
            h "At times it is, but this time..."
            h "It was... {b}For great justice{/b}!"
            hide mimi basic
            show mimi eh at left
            m "Eh? Great justice?"
            hide mimi eh
            show mimi basic at left
            h "Oh yes! For the sake of punishing the perverts!"
            hide mimi basic
            show mimi happy at left
            m "Ah, I think I understand it now!"
        "How was the true end determined?":
            h "The chances that the player must make to attain the true ending are considered the most {i}Shoichiro-ish{/i} by me."
            h "In other words, what I think you would do if you were a young, neutral Japanese man put in this situation like he is."
        "Is Lux Visual Novels planning to make a second game?":
            h "Of course! You aren't going to get rid of us that soon?"
            hide mimi happy
            show mimi eh at left
            m "Uh, rid of?"
            h "Yes, rid of!"
            hide mimi eh
            show mimi basic at left
            h "To be honest, I've already started writing our potential next project, and it seems that there are over 2000 words already written!"
            hide mimi basic
            show mimi eh at left
            m "But doesn't that mean the release of this game has been delayed because of that?"
            hide mimi eh
            show mimi basic at left
            h "Not actually. I write something when I feel like writing it, so it has been written during a time when I wouldn't have been writing this game anyway."
            hide mimi basic
            show mimi happy at left
            m "I hope that's true."
    hide mimi happy
    show mimi basic at left
    m "Oh, we're running out of time."
    h "Yes yes. I think it's the time to give my special thanks."
    hide mimi basic
    show mimi happy at left
    h "So... At first, I'd like to thank PyTom for creating the Ren'Py engine. I've always wanted to make a visual novel - and Ren'Py is something that a {i}not-so-much-of-a-programmer{/i} like me can learn to use."
    h "Then, second, I must thank my dear sister. She has been a great support for me in all the stages of the creation of this game."
    h "I also want to thank DrakeNavarone for not only playtesting and proofreading the game, but also giving me some advice about things such as keeping the size of this game down."
    h "And last but absolutely not least, I want to thank all of you who are playing this game!"
    hide mimi happy
    show mimi basic at left
    m "Oh yes, I think it's the time to end the extra mode now!"
    hide mimi basic
    show mimi happy at left
    m "See you, and thanks for playing!"
    scene bg black with fade
    hide mimi happy
    hide hime
    $ renpy.pause(2)
    show hime with dissolve
    h "...And by the way, I {i}am{/i} a parody."
    $ renpy.pause(2)
    hide hime with dissolve
    $ renpy.pause(2)
    return
    
label credits:
    scene bg gray
    show text "Project Nattsu..."
    $ renpy.pause(3)
    show text "Planned and written by Hime"
    $ renpy.pause(5)
    show text "Illustrated with character graphics and CGs by Hime"
    $ renpy.pause(7)
    show text "With music composed by DaFool"
    $ renpy.pause(5)
    show text "And backgrounds, taken by ReccaPhoenix and various photographers of Morguefile:"
    $ renpy.pause(9)
    show text "Such as Digitallina and Agador"
    $ renpy.pause(5)
    show text "With their photographs edited to backgrounds by Hime"
    $ renpy.pause(7)
    show text "Playtested by DrakeNavarone, JE and Nopa..."
    $ renpy.pause(6)
    show text "Spellchecked by DrakeNavarone"
    $ renpy.pause(5)
    show text "Ren'Py visual novel engine by PyTom"
    $ renpy.pause(5)
    show text "Thank you for playing!"
    $ renpy.pause(4)
    show text ""
    $ renpy.music.stop()
    if Bad == True:
        $ renpy.pause(1)
        return
    else:
        jump extramenu
    
    hide hime with dissolve
    return
    
label splashscreen:
    $ renpy.pause(0)
    scene black 
    with Pause(0.5)
    
    show splash1
    with dissolve
    with Pause(2.0)
    
    scene black 
    with dissolve
    with Pause(1.0)
    
    show splash2
    with dissolve
    with Pause(2.0)
    
    scene black 
    with dissolve
    with Pause(1.0)
    
    return
    
init python:
    def my_navigation( page_name, page_num, pages):       
            ui.frame(style='gallery_nav_frame')
            ui.vbox(style='gallery_nav_vbox')

            _button_factory("Return", "gallery_nav", clicked=ui.returns(("return", 0)))

            ui.close() 

label gallery:
    python hide:
        g  = Gallery()
        g.navigation = my_navigation 
    
        # The image used for locked buttons.
        g.locked_button = "locked_thumbSEPIA.png"

        # The background of a locked image.
        g.locked_background = "locked.jpg"

        # Frames added over unlocked buttons, in hover and idle states.
        g.hover_border = "idleborder.png"
        g.idle_border = "border.png"

        # An images used as the background of the various gallery pages.
        g.background = "galleryscreen.png"

        # Lay out the gallery images on the screen.
        # These settings lay images out 3 across and 4 down.
        # They expect button images to be 155x112 in size.
        g.grid_layout((3, 4), (132, 12), (160, 124)) 

        # Show the background page.
        g.page("Backgrounds")

        g.button("CG00thumbSEPIA.png")
        #
        # These show images, if they have been unlocked. The image name must
        # have been defined using an image statement.
        g.unlock_image("cg girl")
        g.unlock_image("cg girl75")
        g.unlock_image("cg girl50")
        g.unlock_image("cg girl25")
        g.unlock_image("cg girlx")
    
        g.button("CG01thumbSEPIA.png")
        #
        # These show images, if they have been unlocked. The image name must
        # have been defined using an image statement.
        g.unlock_image("cg annaend")
        g.unlock_image("cg annaendsepia")

        g.button("CG02thumbSEPIA.png")
        #
        # These show images, if they have been unlocked. The image name must
        # have been defined using an image statement.
        g.unlock_image("cg fuuend")
        g.unlock_image("cg fuuendsepia")

        g.button("CG03thumbSEPIA.png")
        #
        # These show images, if they have been unlocked. The image name must
        # have been defined using an image statement.
        g.unlock_image("cg mimiend")
        g.unlock_image("cg mimiendsepia")

        g.button("CG04thumbSEPIA.png")
        #
        # These show images, if they have been unlocked. The image name must
        # have been defined using an image statement.
        g.unlock_image("cg fuudrawing_incomplete")
        g.unlock_image("cg annadrawing")
        g.unlock_image("cg mimidrawing")
        g.unlock_image("cg fuudrawing")

        g.button("CG05thumbSEPIA.png")
        #
        # These show images, if they have been unlocked. The image name must
        # have been defined using an image statement.
        g.unlock_image("cg trueend1")

        g.button("CG06thumbSEPIA.png")
        #
        # These show images, if they have been unlocked. The image name must
        # have been defined using an image statement.
        g.unlock_image("cg trueend2")
        g.unlock_image("cg trueend2screen")

        g.button("CG07thumbSEPIA.png")
        #
        # These show images, if they have been unlocked. The image name must
        # have been defined using an image statement.
        g.unlock_image("cg badend")

        # Now, show the gallery.
        g.show()

    return
